<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 構成情報追加・変更確認
 *
 * @package     Admin.Itemmanage.Change.Struct.Check
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Itemmanage_Change_Struct_Check
{
    var $itemupdate;
    var $name;
    var $dlitem;

    var $actionChain;

    var $title;
    var $pagename;

    var $from;
    var $itemdiv;
    var $jancode;
    var $hinban;
    var $itemtitle;
    var $release_date_start;
    var $release_date_end;
    var $publish_date_start;
    var $publish_date_end;
    var $maker_capital;
    var $maker_name;
    var $media;
    var $cast;
    var $situation;
    var $photo_situation;
    var $publish_situation;
    var $sort;
    var $genre_select;

    var $cd;
    var $structcd;
    var $itemnm;
    var $variationnm;
    var $jancd;
    var $isbncd;
    var $makeritemcd;
    var $salestartdate;
    var $makerprice;
    var $orderclosedate;
    var $saleformcd;
    var $rectime;
    var $mediacd;
    var $struct_comment;
    var $item_struct_updcnt;

    var $actionnm;
    var $result;
    var $view;

    var $mediaradio;
    var $SaleformRadio;


    var $option01;
    var $option02;
    var $option03;
    var $option04;
    var $option05;
    var $option06;
    var $option07;
    var $option08;
    var $option09;
    var $option10;

    var $download;
    var $dlperioddays;
    var $sellingprice;
    var $stockcd;

    /**
     * execute
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Change_Struct_Checkが実行されました", "Admin_Itemmanage_Change_Struct_Check#execute");

        $errorList =& $this->actionChain->getCurErrorList();

        // ダウンロード
        if (!empty($this->download) && $this->actionnm=="update") {
            // ダウンロード期間
            if (strlen($this->dlperioddays) <= 0) {
                $errorList -> add("error", "ダウンロード期間を入力してください");
                return 'input';
            }
            if (!is_numeric($this->dlperioddays)) {
                $errorList -> add("error", "ダウンロード期間は半角数字を入力してください");
                return 'input';
            }
            if ($this->dlperioddays < 0) {
                $errorList -> add("error", "ダウンロード期間は0以上を入力してください");
                return 'input';
            }

            // 販売価格
            if (strlen($this->sellingprice) <= 0) {
                $errorList -> add("error", "販売価格を入力してください");
                return 'input';
            }
            if (!is_numeric($this->sellingprice)) {
                $errorList -> add("error", "販売価格は半角数字を入力してください");
                return 'input';
            }
            if ($this->sellingprice < 0) {
                $errorList -> add("error", "販売価格は0以上を入力してください");
                return 'input';
            }

            // 在庫コード
            if (empty($this->stockcd)) {
                return 'input';
            }
        }

        if (!empty($this->salestartdate) &&
            empty($this->orderclosedate)) {
            $errorList -> add("error", "発注締切日を入力してください");
            return 'input';
        }

        return 'check_success';
    }
    function getOption() {
        return $this->itemupdate->getOptionList(200,300);
    }
}
?>
